org.apache.lucene.store

## Class InputStreamDataInput

- java.lang.Object
- - org.apache.lucene.store.DataInput
  - - org.apache.lucene.store.InputStreamDataInput

- All Implemented Interfaces:
    Closeable, AutoCloseable, Cloneable

      public class InputStreamDataInput
      extends DataInput
      implements Closeable

  A `DataInput` wrapping a plain `InputStream`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputStreamDataInput(InputStream is)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `byte` | `readByte()` Reads and returns a single byte.
    `void` | `readBytes(byte[] b, int offset, int len)` Reads a specified number of bytes into an array at the specified offset.

    - ### Methods inherited from class org.apache.lucene.store.DataInput

      `clone, readBytes, readInt, readLong, readMapOfStrings, readSetOfStrings, readShort, readString, readStringSet, readStringStringMap, readVInt, readVLong, readZInt, readZLong, skipBytes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputStreamDataInput

          public InputStreamDataInput(InputStream is)

  - ### Method Detail

    - #### readByte

          public byte readByte()
                        throws IOException

      Description copied from class: `DataInput`
      Reads and returns a single byte.
      Specified by:
        `readByte` in class `DataInput`
      Throws:
        `IOException`
      See Also:
        `DataOutput.writeByte(byte)`

    - #### readBytes

          public void readBytes(byte[] b,
                                int offset,
                                int len)
                         throws IOException

      Description copied from class: `DataInput`
      Reads a specified number of bytes into an array at the specified offset.
      Specified by:
        `readBytes` in class `DataInput`
      Parameters:
        `b` - the array to read bytes into
        `offset` - the offset in the array to start storing bytes
        `len` - the number of bytes to read
      Throws:
        `IOException`
      See Also:
        `DataOutput.writeBytes(byte[],int)`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.